/********************************************************************\
This is a header file for MBScope SW source code (C_customarray.h)
Custom Array Wrapper Class (Teechart)
\********************************************************************/

//---------------------------------------------------------------------------
#ifndef c_customarrayH
#define c_customarrayH
//---------------------------------------------------------------------------
#include <vcl\TeEngine.hpp>

class c_MBArray : public TChartValueList {
protected:
    virtual double __fastcall GetValue(int ValueIndex);
    virtual void __fastcall SetValue(int ValueIndex, const double AValue);
    virtual void __fastcall ClearValues(void);
    virtual int __fastcall AddChartValue(const TChartValue Value);
    virtual void __fastcall InsertChartValue(int ValueIndex, const TChartValue Value);
public:
    __fastcall c_MBArray(TChartSeries * AOwner, const AnsiString AName);
    double * data;
    int TheCount;
    virtual int __fastcall Count();
    virtual void __fastcall Delete(int ValueIndex);
    virtual void __fastcall Scroll();
};











#endif

